TestMixinRuntimeSupport (Grails 3.2.3)
Date: 2016-11-10

Package: grails.test.mixin.support

## [Java] Class TestMixinRuntimeSupport

- grails.test.mixin.support.TestMixinRuntimeSupport

- All Implemented Interfaces and Traits:
    TestRuntimeAwareMixin

      public abstract class TestMixinRuntimeSupport
      extends groovy.lang.GroovyObjectSupport

  Abstract base class for test mixin classes that use the new TestRuntime

  Authors:
    Lari Hotari
  Since:
    2.4.0

- - ### Constructor Summary

    Constructors
    Constructor and description
    `TestMixinRuntimeSupport (java.util.Set<java.lang.String> features)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `java.util.Set<java.lang.String>` | `getFeatures()`
    `TestRuntime` | `getRuntime()`
    `void` | `setRuntime(TestRuntime runtime)`
    `void` | `setTestClass(java.lang.Class<?> testClass)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class groovy.lang.GroovyObjectSupport` | `groovy.lang.GroovyObjectSupport#setProperty(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getProperty(java.lang.String), groovy.lang.GroovyObjectSupport#getMetaClass(), groovy.lang.GroovyObjectSupport#setMetaClass(groovy.lang.MetaClass), groovy.lang.GroovyObjectSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#wait(long, int), groovy.lang.GroovyObjectSupport#wait(long), groovy.lang.GroovyObjectSupport#wait(), groovy.lang.GroovyObjectSupport#equals(java.lang.Object), groovy.lang.GroovyObjectSupport#toString(), groovy.lang.GroovyObjectSupport#hashCode(), groovy.lang.GroovyObjectSupport#getClass(), groovy.lang.GroovyObjectSupport#notify(), groovy.lang.GroovyObjectSupport#notifyAll()`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### public TestMixinRuntimeSupport(java.util.Set<java.lang.String> features)

  - ### Method Detail

    - #### @SkipMethod public java.util.Set<java.lang.String> getFeatures()

    - #### public TestRuntime getRuntime()

    - #### @SkipMethod public void setRuntime(TestRuntime runtime)

    - #### @SkipMethod @java.lang.Override public void setTestClass(java.lang.Class<?> testClass)